var dataObj={
	splitStr:'\n',//全屏弹框说明文字间的分隔符
	ofname:'',
	ofcode:'',
	tacode:'',
	dtamt:'',
	dttime:'',
	durYears:'',
	dtdurtimes:'',
	startdate:'',
	enddate:'',
	smartflag:'',
	HCdata:[''],
	chartsData:[''],
	allAmt_zn:0,
	amt_zn:0,
	allAmt_pt:0,
	amt_pt:0,
	showTimeTips:false/*如果为true 则需要显示起始时间设置的提示*/
};
var appvue = new Vue({
	el:'#app',
	data:dataObj,
	created : function(){
		var self = this;
	},
	methods:{
		/*期末收益率说明*/
		qmsylsm:function(ev){
			Com.showScreenMask('计算说明','n为投资期数，NAVn为第n周期末市值，r为收益率。Ci为第i期投入金额'+dataObj.splitStr+dataObj.splitStr+'NAVn = C1*(1+r) ^n +C2*(1+r)^(n-1)+... +Cn(1+r) ^1'+dataObj.splitStr+dataObj.splitStr+'共计投入金额 C_sum = C1+C2+...+Cn'+dataObj.splitStr+'按周定投，复合年均收益率IRR = r * 52'+dataObj.splitStr+'按月定投，复合年均收益率IRR = r * 12'+dataObj.splitStr+'期末收益率R (简单收益率）= NAVn/ C_sum -1'+dataObj.splitStr+'总盈亏=NAVn - C_sum'+dataObj.splitStr+'因为智能定投采用的是A股股票指数偏离偏离策略，适合以A股为主要投资范围的偏股型基金，所以智能定投收益率展示仅限于股票型 、混合型、指数型。'+dataObj.splitStr+dataObj.splitStr+'普通定投与智能定投计算公式相同。其中普通定投C1=C2=Cn'+dataObj.splitStr+dataObj.splitStr+'模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
			ev.cancelBubble=true;
		},
		/*创建普通定投*/
		cjptdt:function(){
			var actionmode = dataObj.dtdurtimes==1?1:0;
			var sendday = dataObj.dtdurtimes==1?3:1;
			Com.actionLogin(function(){
				Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_fi.html?ofcode='+dataObj.ofcode+'&tan='+dataObj.tacode+'&dt=1'+'&actionmode='+actionmode+'&sendday='+sendday+'&dtamt='+dataObj.dtamt,"weburl":Com.getOrigin()+'/asset/mfdt/pages/dt_fi.html?ofcode='+dataObj.ofcode+'&tan='+dataObj.tacode+'&dt=1'+'&actionmode='+actionmode+'&sendday='+sendday+'&dtamt='+dataObj.dtamt});
				try
				{
					TalkingData.onEventWithLabel("理财",'定投专区-定投计算器结果页-创建普通定投');
				}
				catch(err) {}
			},{},null,'1');

		},
		/*创建智能定投*/
		cjzndt:function(){
			var actionmode = dataObj.dtdurtimes==1?1:0;
			var sendday = dataObj.dtdurtimes==1?3:1;
			Com.actionLogin(function(){
				Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/itc_fi.html?ofcode='+dataObj.ofcode+'&tan='+dataObj.tacode+'&dt=1'+'&actionmode='+actionmode+'&sendday='+sendday+'&dtamt='+dataObj.dtamt,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/itc_fi.html?ofcode='+dataObj.ofcode+'&tan='+dataObj.tacode+'&dt=1'+'&actionmode='+actionmode+'&sendday='+sendday+'&dtamt='+dataObj.dtamt});
				try
				{
					TalkingData.onEventWithLabel("理财",'定投专区-定投计算器结果页-创建智能定投');
				}
				catch(err) {}
			},{},null,'1');

		}
	},
	filters:{

	}
});
var F = {};
F.itc = {};
F.itc.echartsOption = {
	title: {
		show:false,
		padding:0,
		text: '历史收益率'
	},
	legend: {
		data:['历史收益率']
	},
	animation:false,
	toolbox: {
		feature: {
			saveAsImage: {}
		}
	},
	grid: {
		left: '10px',
		right: '5px',
		bottom: '10px',
		top:'8px',
		containLabel: true
	},
	xAxis : [
		{
			type : 'category',
			boundaryGap : false,
			data : [{
				value:'2017-07-24',
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'left'
				}
			},'','','','','','2017-07-25'],
			axisLabel:{
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'right'
				},
				interval:0,
				margin:15,
				formatter: function (value, index) {
					return value;
				}
			},
			axisLine: {            // 坐标轴线
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				},
				show:true
			},
			axisTick: {            // 坐标刻度
				show:false
			},
			splitLine: {           // 分隔线
				interval:30,
				show:true,
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7']
				}
			}
		}
	],
	yAxis : [
		{
			type : 'value',
			splitLine: {           // 分隔线
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7'],
					type:'dashed'  //'solid'  'dashed'  'dotted'
				}
			},
			axisLine: {            // 坐标轴线
				show:false,
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				}
			},
			axisLabel:{
				// inside:true,
				textStyle:{
					color:'#8e8e93',
					baseline:'middle',
					fontSize:11
				},
				formatter: function (value, index) {
					return value+'%';
				}
			},
			axisTick:{
				show:false
			},
			splitNumber:4
		}
	],
	series : [
		{
			name:'基智魔方收益率',
			type:'line',
			// stack: '总量',
			data:[],
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#FD5656'
				}
			},
			animation:false,
			itemStyle:{
				normal : {
					color:'#FD5656',
					lineStyle:{
						color:'#FD5656'
					}
				}
			},
			showSymbol :false
		},
		{
			name:'全账户收益率',
			type:'line',
			// stack: '总量',
			data:[],
			animation:false,
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#589DFC'
				}
			},
			itemStyle:{
				normal : {
					color:'#589DFC',
					lineStyle:{
						color:'#589DFC'
					}
				}
			},
			showSymbol :false
		}
	]
};
var exports = {
	init:function(){
		/*取一下从计算器页面存下的信息*/
		exports.getLocalFundInfo();

		exports.splitStr();

		/*获取计算器信息*/
		exports.getHCdata();

		//设置标题
		Com.setWebviewTitle('',{"title":'定投计算结果',"bgColor":""});

	},
	/*从本地取一下计算器上的信息*/
	getLocalFundInfo:function(){
		var localFund = JSON.parse(Com.getLocalValue('zh_dt_cacu_obj'));
		if(typeof localFund === 'object'){
			dataObj.ofname = localFund.ofname;
			dataObj.ofcode = localFund.ofcode;
			dataObj.tacode = localFund.tacode;
			dataObj.dtamt = localFund.dtamt;
			dataObj.dttime = localFund.dttime;
			dataObj.dtdurtimes = localFund.dtdurtimes;
		}

	},
	/**
	 * 获取N年前的日期
	 * n  n年
	 * trddate  右边日期YYYYMMDD
	 * */
	getThreeYearsAgo:function(n,trddate){
		//获取当前日期
		if(typeof trddate!='string'){
			trddate = trddate.toString();
		}
		var nowY = trddate.substring(0,4);
		var nowM = trddate.substring(4,6);
		var nowD = trddate.substring(6,8);
		//dataObj.enddate = nowY+"-"+(nowM<10 ? "0" + nowM : nowM)+"-"+(nowD<10 ? "0"+ nowD : nowD);//当前日期
		var startdate='';
		//n年前是不是闰年
		var isrn = ((nowY-Number(n))%4 == 0);
		/*本月是不是2月*/
		var isFeb = (nowM%2==0);
		/*今天是不是29号*/
		var isFebLst = (nowD=='29');
		if(isFeb && isFebLst){
			nowD = (isrn?'29':nowD);
		}
		return ((nowY-Number(n))+"-"+(nowM<10 ? "0" + parseInt(nowM) : nowM)+"-"+(nowD<10 ? "0"+ parseInt(nowD) : nowD));

	},
	splitStr : function(){
		var clientType =Com.clientType();
		var splitStr='<br/>';
		if(clientType=='ios'){
			splitStr='\n';
		}
		dataObj.splitStr = splitStr;
	},
	/*回测数据*/
	getHCdata : function(){
		var param = {};
		param['ofcode'] = dataObj.ofcode;
		param['schedtype'] = dataObj.dtdurtimes;
		param['timeflag'] = dataObj.dttime;
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/ofschedule/calcSchedPlan/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == 0) {
					dataObj.HCdata = d.data;
					if(d.data.length>0){
						/*smartflag==1：支持智能定投，此时回测及曲线需要查询两套数据，否则只查普通定投*/
						dataObj.smartflag = d.data[0].smartflag;
						/*查询图表数据*/
						exports.drawChart();

						//计算总投入和总盈亏
						if(d.data[0].smartflag=='1'){
							var cacuobj_zn = cacufunc(d.data[0],dataObj.dtamt,'2');
							dataObj.allAmt_zn = cacuobj_zn.allAmt;/*总投入*/
							dataObj.amt_zn = cacuobj_zn.amt;/*总盈亏*/
						}


						var cacuobj_pt = cacufunc(d.data[0],dataObj.dtamt,'1');
						dataObj.allAmt_pt = cacuobj_pt.allAmt;/*总投入*/
						dataObj.amt_pt = cacuobj_pt.amt;/*总盈亏*/

						var sdate = '';
						var sdate2 = '';
						var sdate2_fmt;

						/*获取n年前的日期*/
						if(typeof d.data[0].trddate!='undefined' && d.data[0].trddate!=''){
							sdate2 = exports.getThreeYearsAgo(dataObj.dttime,d.data[0].trddate);
							sdate2_fmt = sdate2.replace(/-/g,'');
						}

						if(typeof d.data[0].establishmentdate!='undefined' && d.data[0].establishmentdate!=''){
							//成立日期
							sdate = d.data[0].establishmentdate.replace(/-/g,'');
							if(Number(sdate)>Number(sdate2_fmt)){
								//起始时间比基金成立日期还早，则起始时间取成立日期时间
								dataObj.startdate = d.data[0].establishmentdate;
								dataObj.showTimeTips = true;
							}else{
								dataObj.startdate = sdate2;
								dataObj.showTimeTips = false;
							}
						}
						d.data[0].trddate = d.data[0].trddate.toString();
						dataObj.enddate =  (d.data[0].trddate.substring(0,4))+'-'+(d.data[0].trddate.substring(4,6))+'-'+(d.data[0].trddate.substring(6,8));
					}

				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力|getRecOfcodeList',['确定'],'')
			}
		});
	},
	drawChart : function(cb){
		var diffRate = function(){
			var param = {};
			param['ofcode'] = dataObj.ofcode;
			param['schedtype'] = dataObj.dtdurtimes;
			param['timeflag'] = dataObj.dttime;
			Com.ajax({
				"url":Com.getOrigin()+'/gsfinancing/ofschedule/getSchedRatePlot/1.0',
				"data":param,
				"type":"post",
				"dataType":"json",
				"success":function(d){
					/*测试用*/
					/*d.data=[
						{"trddate":"20190101","smartrate":"3.25","plainrate":"7.25"},
						{"trddate":"20190102","smartrate":"4.25","plainrate":"3.21"},
						{"trddate":"20190103","smartrate":"5.10","plainrate":"1.44"},
						{"trddate":"20190104","smartrate":"1.17","plainrate":"5.12"},
						{"trddate":"20190105","smartrate":"13.45","plainrate":"-22.15"}
					]*/
					/*测试用 结束*/
					if (d != null && d.result[0].code == 0) {
						dataObj.chartsData = d.data;
						/*if(d.data.length>0){
							d.data.reverse();
						}*/
						//清空echarts的值
						F.itc.echartsOption.xAxis[0].data = [];
						F.itc.echartsOption.series[0].data = [];//智能定投收益
						F.itc.echartsOption.series[1].data = [];//普通定投收益
						for (var i=0,len=d.data.length;i<len;i++) {
							d.data[i].trddate=''+d.data[i].trddate;
							d.data[i].trddate = d.data[i].trddate.substring(0,4)+'-'+d.data[i].trddate.substring(4,6)+'-'+d.data[i].trddate.substring(6,8);

							if(dataObj.smartflag=='1'){
								//如果当前基金支持智能定投，曲线需要显示智能定投的期末收益率
								F.itc.echartsOption.series[0].data[i] = (d.data[i].smartrate*1).toFixed(2);//智能定投收益
							}

							F.itc.echartsOption.series[1].data[i] = (d.data[i].plainrate*1).toFixed(2);//普通定投收益
							//x轴日期的第一个值需要居左，需要特殊处理
							if (i==0) {
								F.itc.echartsOption.xAxis[0].data[i] = {
									//value:template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd'),
									value:d.data[i].trddate,
									textStyle:{
										color:'#8e8e93',
										fontSize:11,
										align:'left'
									}
								};
								//x轴日期的最后一个值需要居右
							}else if(i==len-1) {
								//F.itc.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd');
								F.itc.echartsOption.xAxis[0].data[i] = d.data[i].trddate;

								//x轴日期只显示首末两个值，其他都置空
							}else{
								F.itc.echartsOption.xAxis[0].data[i] =  '';
							}

						}
						//坐标轴在 grid 区域中的分隔线
						F.itc.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

						var jdtzChart = echarts.init(document.getElementById('chart_main'));
						jdtzChart.clear();
						jdtzChart.setOption(F.itc.echartsOption,true);
					}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
						return false;
					}else{
						Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
					}
				},
				"isTradeLogin":false,
				"error":function(){
					Com.ajaxLoaded();
					Com.showNativeAlert('','网络不给力|compAipAndFipProfit',['确定'],'')
				}
			});
		};

		diffRate();
		/**/
	}
};








exports.init();
























/*

function getYxlcDataList(){
	var param = {};

	var ajaxData = function(datajson,checklogin){
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+"/gsfinancing/fundaip/getyxlc/1.0",
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();

				if(d.result[0].code == 0){
					var is_showArrow = 0;
					if(d.data.length != 0){
						for(var i = 0;i< d.data.length; i++){
							if(d.data[i].oftypebig == '2'){
								//如果有“长期投资”的定投产品，则显示下拉箭头,并将“开启定投之旅”按钮显示出来
								is_showArrow = 1;
								$('#kqdtzl').css('display','block');
							}
						}
					}
					d.showarrow = is_showArrow;
					/!*var ohtml = template('yxlcDemo', d);
					$('#yxlc_data_main').html(ohtml);*!/
				}
				else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}
				else{
					Com.showNativeAlert("",d.result[0].msg,["确定"],"");
				}
			},
			"isTradeLogin":checklogin,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'');
			}
		});
	};

	$js.isLoginForGetData = function(data){
		var isLogin = false;
		if(data.isTradeLogined == '1'){
			//已登录
			isLogin = true;
		}else{
			//未登录
			isLogin = false;
		}

		ajaxData(param,isLogin);
	};

	Com.isTradelogin('isLoginForGetData',{});
}

//点击开启定投之旅按钮之后判断有没有签署过电子签名约定书
function openDtDiScene(){
	var param = {};
	var ajaxData = function(datajson){
		Com.ajaxLoading();
		Com.ajax({
			"url":Com.getOrigin()+"/gsfinancing/fundbuy/hassign/1.0",
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				Com.ajaxLoaded();
				if(d.result[0].code == 0){
					if(d.data[0].issign == '1'){
						//已签署过电子签名约定书
						//?yxfrom=kqdtzl 没有选择好具体产品的统一携带此参数，在月薪理财定投页面可以选择其他产品
						/!*Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_fi_scene.html?yxfrom=kqdtzl',"weburl":'../../mfdt/pages/dt_fi_scene.html?yxfrom=kqdtzl'});*!/
						Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/yxlc_choosefund.html',"weburl":'../../mfdt/pages/yxlc_choosefund.html'});
					}else{
						//未签署
						Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/go_zt.html',"weburl":'../../mfdt/pages/go_zt.html'});
						return false;
					}
				}
				else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}
				else{
					Com.showNativeAlert("",d.result[0].msg,["确定"],"");
				}
			},
			"isTradeLogin":true,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'');
			}
		});
	};

	ajaxData(param);
}
// 获取月薪理财专题模板
function getTopicOfSceneaip(){
	var param={};
	Com.ajax({
		url: Com.getInterfaceOrigin()+'/gsfinancing/topic/getTopicOfSceneaip/1.0',
		data: param,
		dataType:'json',
		type:'post',
		isTradeLogin:false,
		success: function (d) {
			if(d.result[0].code == 0){
				//指数数据
				var html1 = template('indexTemplate', d);
				$('.cqtz_fixed_data table tbody').html(html1);
				$('.y_d_dg').eq(0).text(d.data[0].remark);
				//理财目标
				var html2 = template('caseinfoTemplate', d);
				$('.yxlc_lcmb table').html(html2);
				$('.y_d_dg').eq(1).text(d.caseinfo[0].remark)
			}
			else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}
			else{
				Com.showNativeAlert("",d.result[0].msg,["确定"],"");
			}
		},
		error:function(){
			Com.ajaxLoaded();
			Com.showNativeAlert('','网络不给力',['确定'],'');
		}
	});
}

function yxlcAdverInit(){
	$(document).on('click','#data_up_down',function(){
		var objdata = $('.cqtz_datalist');
		if($(this).hasClass('on')){
			objdata.css('display','none');
			$(this).removeClass('on').find('.y_d_span').html('查看可定投产品');
		}else{
			objdata.css('display','block');
			$(this).addClass('on').find('.y_d_span').html('收起');

		}
	});

	//开启定投之旅
	$(document).on('click','#kqdtzl',function(){

		Com.actionLogin(openDtDiScene);
		//openDtDiScene();
	});

	//打开基金详情
	$(document).on('click','.godetails',function(){
		var ohref = $(this).attr('_href');
		var ofcode = $(this).attr('ofcode');

		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/'+ohref,"weburl":'../../'+ohref});
	});

	//获取可定投的产品列表
	getYxlcDataList();
	getTopicOfSceneaip();

	//设置标题
	Com.setWebviewTitle('',{"title":'定投专区',"bgColor":""});

	//导航新增定投（578版本去掉了）
	//Com.rightTopBtn('0','我的定投',gomyDT);
	/!*右上角分享*!/
	Com.rightTopBtn('1','',function(){
		var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'2'};
		if(typeof shareJsonObj!='undefined'){
			shareJsonObj.initMethod(param);
		}
	});
	//跳转到我的定投页面
	$(document).on('click','#gomyplan',function(){
		gomyDT();
	});
	//客服入口
	new Drag('fixedrobot');
	//接入客服模块
	robotAction('','','','','','9905','ztl020','8','fixedrobot');
}

function gomyDT(){
	Com.actionLogin(function(){
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
	});
}*/
